using System;
using System.ComponentModel.DataAnnotations;
using System.ComponentModel.DataAnnotations.Schema;
using Siger.Middlelayer.Repository;


namespace Siger.Middlelayer.TpmRepository.Entities
{

    [Table("siger_project_outsourced_maintenance")]
    public class ProjectOutsourcedMaintenanceEntity : TpmEntityBase
	{
        public  ProjectOutsourcedMaintenanceEntity()
        {
            
        }

		/// <summary>
		/// 
		/// </summary>
        [Column("project_id")]
        public int ProjectId { get; set; }
		/// <summary>
		/// 
		/// </summary>
        [Column("creator")]
        public int Creator { get; set; }
		/// <summary>
		/// 
		/// </summary>
        [Column("editor")]
        public int Editor { get; set; }
		/// <summary>
		/// 
		/// </summary>
        [Column("create_time")]
        public DateTime CreateTime { get; set; }
		/// <summary>
		/// 
		/// </summary>
        [Column("edit_time")]
        public long EditTime { get; set; }
		/// <summary>
		/// 委托单号
		/// </summary>
        [Column("order_no")]
        public string OrderNo { get; set; }
		/// <summary>
		/// 设备Id
		/// </summary>
        [Column("machine_id")]
        public int MachineId { get; set; }
		/// <summary>
		/// 供应商
		/// </summary>
        [Column("supplier")]
        public string Supplier { get; set; }
		/// <summary>
		/// 金额
		/// </summary>
        [Column("price")]
        public double Price { get; set; }
		/// <summary>
		/// 维修时间
		/// </summary>
        [Column("repair_time")]
        public int RepairTime { get; set; }
		/// <summary>
		/// 审批流程
		/// </summary>
        [Column("process_id")]
        public int ProcessId { get; set; }
		/// <summary>
		/// 审核状态0-未审核1-审核中2-已审核3-未通过
		/// </summary>
        [Column("state")]
        public int State { get; set; }
		/// <summary>
		/// 当前层级
		/// </summary>
		[Column("current_level")]
		public int CurrentLevel { get; set; } = 0;

	}

}
